Overview | Modules | Class Hierarchy | Classes | Members

# WithParameter.h File Reference

`#include <tulip/Reflect.h>`
Include dependency graph for WithParameter.h:
This graph shows which files directly or indirectly include this file:

## Classes

- struct tlp::WithParameter
    This class describes parameters for a plug-in. These parameters can be of any type, and are used to generate a GUI that will be shown when the plug-in in invoked by the user. It is mainly used by algorithms to display options to the user, e.g. a clustering algorithm can let the user choose which measure to use. More...

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2011